Class | GraphViz::FamilyTree::Person
In: | lib/graphviz/family_tree/person.rb
Parent: | Object

### Methods

id is_a_boy is_a_girl is_a_man is_a_woman is_dead is_divorced_with is_maried_with is_widower_of kids name sibling sibling=

### Public Instance methods

id()
is_a_boy( name )

Define the current person as a boy

     greg.is_a_boy( "Greg" )

is_a_girl( name )

Define the current perdon as a girl

     maia.is_a_girl( "Maia" )

is_a_man( name )

Define the current person as a man

     greg.is_a_man( "Greg" )

is_a_woman( name )

Define the current perdon as a woman

     mu.is_a_woman( "Muriel" )

is_dead()

Define the current person as dead

     jack.is_dead

is_divorced_with( x )

Define that‘s two persons are divorced

     sophie.is_divorced_with john

is_maried_with( x )

Define that‘s two persons are maried

     mu.is_maried_with greg

is_widower_of( x )

Define that‘s a person is widower of another

     simon.is_widower_of elisa

kids( *z )

Define the kids of a single person

      alice.kids( john, jack, julie )

name()
sibling()
sibling=(x)

[Validate]